Subject: Re: General question on upgrading Linux version

From: Clemens Koller <[email-masked]>
Date: Thu, 28 Jun 2007 14:52:13 +0200

Hello, Bizhan!

Bizhan Gholikhamseh (bgholikh) schrieb:
> Hi All,
> We are using MPC8541 processor from freescale. Our current kernel 
> version is based on 2.6.11 plus some patches provided by Freescale. I 
> would like to update our Kernel version to a more recent version.

I am not sure about the exact versions but you propably need to switch
over from devfs to udev. (usually no big deal)

> I would greatly appreciate if you could provide me with some general 
> guideline on how to proceed .....

I follow the latest stable and latest-git from kernel.org. I didn't run
into major problems over here for MPC8540, however I am still on the old
ARCH=ppc. ARCH=powerpc compiles fine as well. I just had no time to have
a closer look at the DeviceTree/OpenFirmware/U-Boot stuff.

Is there any brief HowTo migrate from ppc to powerpc including u-boot?

Best greets,
-- 
Clemens Koller
__________________________________
R&D Imaging Devices
Anagramm GmbH
Rupert-Mayer-Straße 45/1
Linhof Werksgelände
D-81379 München
Tel.089-741518-50
Fax 089-741518-19
http://www.anagramm-technology.com